#### POSIX Threads for Windows – REFERENCE - Pthreads-w32

Reference Index

Table of Contents

## Name

sched_getscheduler - get scheduling policy (REALTIME)

## Synopsis

#include <sched.h>

int sched_getscheduler(pid_t pid);

## Description

The sched_getscheduler function shall return the scheduling policy of the process specified by pid. If the value of pid is negative, the behavior of the sched_getscheduler function is unspecified.

The values that can be returned by sched_getscheduler are defined in the <sched.h> header.

Pthreads-w32 only supports the SCHED_OTHER policy, which is the only value that can be returned. However, checks on pid and permissions are performed first so that the other useful side effects of this routine are retained.

If a process specified by pid exists, and if the calling process has permission, the scheduling policy shall be returned for the process whose process ID is equal to pid.

If pid is zero, the scheduling policy shall be returned for the calling process.

## Return Value

Upon successful completion, the sched_getscheduler function shall return the scheduling policy of the specified process. If unsuccessful, the function shall return -1 and set errno to indicate the error.

## Errors

The sched_getscheduler function shall fail if:

EPERM
  The requesting process does not have permission to determine the scheduling policy of the specified process.
ESRCH
  No process can be found corresponding to that specified by pid.

The following sections are informative.

## Examples

None.

## Application Usage

None.

## Rationale

None.

## Future Directions

None.

## See Also

sched_setscheduler(3) , the Base Definitions volume of IEEE Std 1003.1-2001, <sched.h>

## Copyright

Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

Modified by Ross Johnson for use with Pthreads-w32.

Table of Contents

- Name

- Synopsis

- Description

- Return Value

- Errors

- Examples

- Application Usage

- Rationale

- Future Directions

- See Also

- Copyright